/*
 * Slider.cpp
 *
 */

#include <iostream>
#include "Slider.h"

Slider::Slider(Timer* t) : subj(t), milli(0) {
	subj->subscribe(this);
}

Slider::~Slider() {
	subj->unsubscribe(this);
}

void Slider::update() {
	milli = subj->getMilliseconds();
	if (subj->isRestarted())
		std::cout << "Reset progress bar - ";
	displaySlider();
}

void Slider::displaySlider() {
	std::cout << "Slider: " << milli << std::endl;
}
