/*
 * FrameRenderer.h
 *
 */

#ifndef FRAMERENDERER_H_
#define FRAMERENDERER_H_

#include "Timer.h"
#include "Observer.h"

class FrameRenderer: public Observer {
public:
	FrameRenderer(Timer* t);
	virtual ~FrameRenderer();

	virtual void update();

	void displayFrame();

private:
	Timer* subj;
};

#endif /* FRAMERENDERER_H_ */
